export declare const coreCss: {
    '@global': {
        body: {
            boxSizing: string;
        };
    };
    ac: {
        display: string;
        alignItems: string;
    };
    jc: {
        display: string;
        justifyContent: string;
    };
    jsb: {
        display: string;
        justifyContent: string;
    };
    psRl: {
        position: string;
    };
    cResize: {
        cursor: string;
    };
    cCross: {
        cursor: string;
    };
    rbgcpControlBtn: {
        paddingLeft: string;
        paddingRight: string;
        lineHeight: string;
        borderRadius: string;
        fontWeight: string;
        fontSize: string;
        height: string;
        transition: string;
        display: string;
        alignItems: string;
        justifyContent: string;
        background: string;
        boxShadow: string;
        color: string;
    };
    rbgcpControlIcon: {
        stroke: string;
    };
    rbgcpControlIconBtn: {
        width: string;
        height: string;
        borderRadius: string;
        display: string;
        alignItems: string;
        justifyContent: string;
        position: string;
    };
    rbgcpControlBtnWrapper: {
        height: string;
        background: string;
        borderRadius: string;
        padding: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        position: string;
    };
    rbgcpColorModelDropdown: {
        position: string;
        right: string;
        top: string;
        padding: string;
        background: string;
        zIndex: string;
        borderRadius: string;
        boxShadow: string;
    };
    rbgcpEyedropperCover: {
        position: string;
        left: string;
        top: string;
        zIndex: string;
        width: string;
        height: string;
        cursor: string;
    };
    rbgcpControlInput: {
        height: string;
        borderRadius: string;
        border: string;
        outline: string;
        textAlign: string;
        width: string;
        fontWeight: string;
        color: string;
        fontSize: string;
        background: string;
    };
    rbgcpInputLabel: {
        textAlign: string;
        lineHeight: string;
        fontWeight: string;
        color: string;
        fontSize: string;
    };
    rbgcpInput: {
        height: string;
        borderRadius: string;
        border: string;
        width: string;
        padding: string;
        outline: string;
        color: string;
        fontWeight: string;
        textAlign: string;
    };
    rbgcpHandle: {
        position: string;
        border: string;
        borderRadius: string;
        boxShadow: string;
        width: string;
        height: string;
        zIndex: string;
        transition: string;
    };
    rbgcpCanvasWrapper: {
        borderRadius: string;
        overflow: string;
        height: string;
    };
    rbgcpCheckered: {
        background: string;
        backgroundRepeat: string;
        backgroundPosition: string;
        WebkitTransformOrigin: string;
        transformOrigin: string;
        WebkitBackgroundOrigin: string;
        backgroundOrigin: string;
        WebkitBackgroundClip: string;
        backgroundClip: string;
        WebkitBackgroundSize: string;
        backgroundSize: string;
        WebkitBoxShadow: string;
        boxShadow: string;
        textShadow: string;
        WebkitTransition: string;
        MozTransition: string;
        OTransition: string;
        transition: string;
        WebkitTransform: string;
        transform: string;
        borderRadius: string;
    };
    rbgcpOpacityOverlay: {
        position: string;
        left: string;
        top: string;
        width: string;
        height: string;
        borderRadius: string;
    };
    rbgcpGradientHandleWrap: {
        position: string;
        zIndex: string;
        top: string;
        outline: string;
    };
    rbgcpGradientHandle: {
        border: string;
        borderRadius: string;
        boxShadow: string;
        width: string;
        height: string;
        display: string;
        alignItems: string;
        justifyContent: string;
    };
    rbgcpControlIcon2: {
        fill: string;
    };
    rbgcpControlBtnSelected: {
        background: string;
        color: string;
        boxShadow: string;
    };
    rbgcpComparibleLabel: {
        color: string;
    };
};
export declare const darkCss: {
    '@media (prefers-color-scheme: dark)': {
        rbgcpInputLabel: {
            color: string;
        };
        rbgcpControlBtnWrapper: {
            background: string;
        };
        rbgcpInput: {
            border: string;
            color: string;
            background: string;
        };
        rbgcpControlBtn: {
            color: string;
        };
        rbgcpControlIcon: {
            stroke: string;
        };
        rbgcpControlIcon2: {
            fill: string;
        };
        rbgcpControlInput: {
            color: string;
        };
        rbgcpControlBtnSelected: {
            background: string;
            color: string;
        };
        rbgcpDegreeIcon: {
            color: string;
        };
        rbgcpColorModelDropdown: {
            background: string;
        };
        rbgcpComparibleLabel: {
            color: string;
        };
    };
};
export declare const useStyles: (disableDarkMode: boolean) => import("jss").Classes<"@global" | "ac" | "jc" | "jsb" | "psRl" | "cResize" | "cCross" | "rbgcpControlBtn" | "rbgcpControlIcon" | "rbgcpControlIconBtn" | "rbgcpControlBtnWrapper" | "rbgcpColorModelDropdown" | "rbgcpEyedropperCover" | "rbgcpControlInput" | "rbgcpInputLabel" | "rbgcpInput" | "rbgcpHandle" | "rbgcpCanvasWrapper" | "rbgcpCheckered" | "rbgcpOpacityOverlay" | "rbgcpGradientHandleWrap" | "rbgcpGradientHandle" | "rbgcpControlIcon2" | "rbgcpControlBtnSelected" | "rbgcpComparibleLabel">;
